(setq fileutilz *t*)

(defun change-ext (fname ext | n)
  (setq n (length fname))
  (while (> n 0)
    (switch (nth fname n)
      46 (break (setq fname (str-mid fname 1 (decr n))))
      92 (return (|| fname ext))
      47 (return (|| fname ext))
      58 (return (|| fname ext))
    )
    (setq n (decr n))
  )
  (|| fname ext)
)

(defun extract-ext (fname | n)
  (setq n (length fname))
  (while (> n 0)
    (switch (nth fname n)
      46 (return (str-mid fname n))
      92 (return "")
      47 (return "")
      58 (return "")
    )
    (setq n (decr n))
  )
  ""
)

(defun extract-path (fname | n)
  (setq n (length fname))
  (while (> n 0)
    (switch (nth fname n)
      92 (return (str-mid fname 1 n))
      47 (return (str-mid fname 1 n))
      58 (return (str-mid fname 1 n))
    )
    (setq n (decr n))
  )
  ""
)

(defun extract-name (fname | n)
  (setq n (length fname))
  (while (> n 0)
    (switch (nth fname n)
      92 (return (str-mid fname (incr n)))
      47 (return (str-mid fname (incr n)))
      58 (return (str-mid fname (incr n)))
    )
    (setq n (decr n))
  )
  fname
)

(defun file-exist (fname | fh r)
  (setq r (number? (setq fh (fopen fname "r-"))))
  (if r (fclose fh))
  r
)
