{.$DEFINE ALISP3_DEBUG}
  // compile without optimization and with Delphi symbol information

{.$DEFINE ALISP3_MULTIENGINE}
  // define this to get "multiengine" version
  // !!!DO NOT DO THIS MANUALLY!!!
  // use batch files that I provided instead.

{.$DEFINE ALISP3_DOUBLE_FLOAT}
  // use "Double" instead "Single" as floating point number type

{$IFDEF FPC}
  {$MODE DELPHI}
  {$SMARTLINK ON}
  {$ASMMODE INTEL}
  {$CALLING REGISTER}
  {$GOTO ON}
  {$INLINE ON}
  {$MACRO ON}
  {$NOTES ON}
  {$MMX OFF}
  {$CODEALIGN 8}
  {$PACKRECORDS 4}
  {$COPERATORS ON}
  {$OBJECTCHECKS OFF}
 {$ELSE}
  {$IMPORTEDDATA OFF}
  {$REALCOMPATIBILITY OFF}
  {$SAFEDIVIDE OFF}
{$ENDIF}
{$E-,S-} //???

{$ALIGN 8}
{$BOOLEVAL OFF}
{$EXTENDEDSYNTAX ON}
{$LONGSTRINGS ON}
{$IOCHECKS OFF}
{$WRITEABLECONST ON}
{$MINENUMSIZE 4}
{$OPENSTRINGS ON}
{$OVERFLOWCHECKS OFF}
{$RANGECHECKS OFF}
{$TYPEDADDRESS ON}
{$TYPEINFO OFF}
{$VARSTRINGCHECKS OFF}

{$IFDEF FPC}
 {$IFDEF MEM_DEBUG}
  {$CHECKPOINTER ON}
 {$ENDIF}
{$ENDIF}


{$DEFINE ALISP3_GC_FIRST}
  // first call GC then grow pool. the opposite has a little sense %-)
{$DEFINE ALISP3_CHECK_LMB_ARGS}

{$DEFINE ALISP3_ENABLE_DEBUGGER}

// full "optimization" gives ~2x speedup
{$DEFINE ALISP3_OPT_LOCAL_DEFUNS}
  // process local defun/macro -- convert to setq, add local var if necessary
{$DEFINE ALISP3_OPT_NESTED_LAMBDAS}
  // process nested lambdas
{$DEFINE ALISP3_OPT_INSERT_LAMBDAS}
  // insert lambda-expr insted of global list func


// "plug-in" %-) debugging
{.$DEFINE ALISP3_AGRESSIVE_GC}
  // GC will be called in each ALCons. cool thing to debug memory allocators.
{.$DEFINE ALISP3_VERBOSE_GC}

{.$DEFINE ALISP3_VERBOSE_ENTER_LEAVE}
{.$DEFINE ALISP3_EXTRA_VERBOSE_LEAVE}

{.$DEFINE ALISP3_SHOW_FRAMES_ON_ERROR}

{.$DEFINE ALISP3_OPT_SHOW_SRC}  // show source lambda
{.$DEFINE ALISP3_OPT_SHOW_RESULT}  // show optimised lambda

{.$DEFINE ALISP3_VERBOSE_IMMERSION}
{.$DEFINE ALISP3_DONT_LOAD_INIT}


{$IFDEF ALISP3_DEBUG}
 {$IFNDEF FPC}
  {$DEFINITIONINFO ON}
  {$OPTIMIZATION OFF}
 {$ENDIF}
  {$ASSERTIONS ON}
  {$DEBUGINFO ON}
  {$LOCALSYMBOLS ON}
  {$HINTS ON}
  {$WARNINGS ON}
  {$STACKFRAMES ON}
{$ELSE}
 {$IFNDEF FPC}
  {$DEFINITIONINFO OFF}
  {$OPTIMIZATION ON}
 {$ENDIF}
  {$ASSERTIONS OFF}
  {$DEBUGINFO OFF}
  {$LOCALSYMBOLS OFF}
  {$HINTS OFF}
  {$WARNINGS OFF}
  {$STACKFRAMES OFF}
{$ENDIF}
