(setq zx-print-full *t*)
(setq zx-print-bold *t*)

;   
(defun zxpbytexy (x y b | f n)
  (for (setq f (+ x 7)) (>= f x) (setq f (decr f))
    (setq n (<> (& b 1) 0))
    (if (lor zx-print-full n) (scr-plot n f y))
    (setq b (idiv b 2))
  )
)

(defun zxboldbyte (b)
  (if zx-print-bold
    (| b (idiv b 2))
   b
  )
)

(defun zxpcharxy (x y c | f)
  ; calc char address
  (setq c (+ $3D00 (* (- c 32) 8)))
  ; draw char
  (for (setq f y  y (+ y 8)) (< f y) (setq f (incr f)  c (incr c))
    (zxpbytexy x f (zxboldbyte (peek c -1)))
  )
)

(defun zxprintxy (x y str | f)
  ;(println str)
  (for (setq f 1) (<= f (length str)) (setq f (incr f)  x (+ x 8))
    (zxpcharxy x y (nth str f))
  )
)


;:(zxprintxy 0 0 "test!!")

;(con-execute "alias zxprintxy ':(zxprintxy 0 0 \"test!\")'")
;(con-execute "bind ctrl+back zxprintxy")
;(con-execute "alias ll ':(load !"lisp/zxprint!")'")
