// DarkSpecter ZX Spectum Emulator
// coded by Ketmar // Vampire Avalon (psyc://ketmar.no-ip.org/~Ketmar)
// Understanding is not required. Only obedience.
//
// This program is free software. It comes without any warranty, to
// the extent permitted by applicable law. You can redistribute it
// and/or modify it under the terms of the Do What The Fuck You Want
// To Public License, Version 2, as published by Sam Hocevar. See
// http://sam.zoy.org/wtfpl/COPYING for more details.
//
// 48k port i/o
//
unit dsp48kU;

interface

uses
  z80U, dspPortGeneralU;


function PortIn48 (z80: PZ80CPU; port: Word): Byte;
procedure PortOut48 (z80: PZ80CPU; port: Word; b: Byte);


implementation


function PortIn48 (z80: PZ80CPU; port: Word): Byte;
begin
  result := InPortGeneral(z80, port);
end;

procedure PortOut48 (z80: PZ80CPU; port: Word; b: Byte);
begin
  OutPortGeneral(z80, port, b);
end;


end.
